GNU bug report logs - #843
23.0.60; ediff-merge-revision: Buffer exceeds maximum size

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Lennart Borgman (gmail)" <lennart.borgman@HIDDEN>; Keywords: unreproducible moreinfo; merged with #837, #841, #844, #2706; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug closed, send any further explanations to 2706 <at> debbugs.gnu.org and Martin <nospam@HIDDEN> Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) moreinfo. Request was from Chong Yidong <cyd@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Disconnected #2705 from all other report(s). Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 837 841 843 844 2705 2706. Request was from Jason Rumney <jasonr@HIDDEN> to control@HIDDEN. Full text available.
bug reopened, originator not changed. Request was from Jason Rumney <jasonr@HIDDEN> to control@HIDDEN. Full text available.
bug unarchived. Request was from Jason Rumney <jasonr@HIDDEN> to control@HIDDEN. Full text available.
bug archived. Request was from Debbugs Internal Request <don@HIDDEN> to internal_control@HIDDEN. Full text available.
Tags added: unreproducible Request was from Glenn Morris <rgm@HIDDEN> to control@HIDDEN. Full text available.
Merged 837 841 843 844. Request was from Glenn Morris <rgm@HIDDEN> to control@HIDDEN. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-6.7 required=4.0 tests=AWL,BAYES_00,FOURLA,GMAIL,
	MURPHY_DRUGS_REL8,RCVD_IN_DNSWL_MED autolearn=ham
	version=3.2.3-bugs.debian.org_2005_01_02
Received: (at submit) by emacsbugs.donarmstrong.com; 31 Aug 2008 21:40:26 +0000
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m7VLeMCE023238
	for <submit@HIDDEN>; Sun, 31 Aug 2008 14:40:23 -0700
Received: from mail.gnu.org ([199.232.76.166]:52991 helo=mx10.gnu.org)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <lennart.borgman@HIDDEN>)
	id 1KZudD-0005Mm-BV
	for emacs-pretest-bug@HIDDEN; Sun, 31 Aug 2008 17:38:47 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <lennart.borgman@HIDDEN>)
	id 1KZueg-0003uy-78
	for emacs-pretest-bug@HIDDEN; Sun, 31 Aug 2008 17:40:21 -0400
Received: from ch-smtp02.sth.basefarm.net ([80.76.149.213]:40238)
	by monty-python.gnu.org with esmtps (TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32)
	(Exim 4.60)
	(envelope-from <lennart.borgman@HIDDEN>)
	id 1KZuef-0003u4-MU
	for emacs-pretest-bug@HIDDEN; Sun, 31 Aug 2008 17:40:18 -0400
Received: from c83-254-151-87.bredband.comhem.se ([83.254.151.87]:62563 helo=[127.0.0.1])
	by ch-smtp02.sth.basefarm.net with esmtp (Exim 4.68)
	(envelope-from <lennart.borgman@HIDDEN>)
	id 1KZued-0005xe-7E; Sun, 31 Aug 2008 23:40:15 +0200
Message-ID: <48BB0FBD.4040209@HIDDEN>
Date: Sun, 31 Aug 2008 23:40:13 +0200
From: "Lennart Borgman (gmail)" <lennart.borgman@HIDDEN>
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.9) Gecko/20071031 Thunderbird/2.0.0.9 Mnenhy/0.7.5.666
MIME-Version: 1.0
To: kifer@HIDDEN
CC: emacs-pretest-bug@HIDDEN
Subject: Re: 23.0.60; ediff-merge-revision: Buffer exceeds maximum size
References: <48BA9F45.2090908@HIDDEN> <20080831153637.1103334a@kiferserv>
In-Reply-To: <20080831153637.1103334a@kiferserv>
X-Enigmail-Version: 0.95.7
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
X-Antivirus: avast! (VPS 080831-0, 2008-08-31), Outbound message
X-Antivirus-Status: Clean
X-Originating-IP: 83.254.151.87
X-ACL-Warn: Too high rate of unknown addresses received from you
X-Scan-Result: No virus found in message 1KZued-0005xe-7E.
X-Scan-Signature: ch-smtp02.sth.basefarm.net 1KZued-0005xe-7E 7a21d800c862207c09a90ee28400d969
X-detected-kernel: by monty-python.gnu.org: Linux 2.6? (barebone, rare!)

Michael Kifer wrote:
> 
> On Sun, 31 Aug 2008 15:40:21 +0200
> "Lennart Borgman (gmail)" <lennart.borgman@HIDDEN> wrote:
> 
>> When I just made a checkout of Emacs from CVS I got a merge conflict
>> which I used ediff-revision to resolve. I then got the following back
>> trace when I did "wb" to save the corrected file:
>>
>> Debugger entered--Lisp error: (error "Buffer exceeds maximum size")
>>   call-process("diff" nil #<buffer *ediff-custom-diff*> nil "-c"
> 
> This says that the output of diff -c exceeds the buffer size.
> 
> It is unclear how this is related to ediff per se, since ediff merely calls
> call-process with the above command.
> 
>> "c:/DOCUME~1/LENNAR~1/LOCALS~1/Temp/ediff282470M"
>> "c:/ecvsnew/bld/emacs/src/w32term.c")
>>   apply(call-process "diff" nil #<buffer *ediff-custom-diff*> nil ("-c"
>> "c:/DOCUME~1/LENNAR~1/LOCALS~1/Temp/ediff282470M"
>> "c:/ecvsnew/bld/emacs/src/w32term.c"))
>>   ediff-exec-process("diff" #<buffer *ediff-custom-diff*> synchronize
>> "-c" "c:/DOCUME~1/LENNAR~1/LOCALS~1/Temp/ediff282470M"
>> "c:/ecvsnew/bld/emacs/src/w32term.c")
>>   ediff-compute-custom-diffs-maybe()
>>   ediff-save-buffer(nil)
>>   call-interactively(ediff-save-buffer nil nil)
>>
>> Looking into ediff-custom-diff I can see there is some problem with ^M:
> 
> Can you explain what the problem is? It is unclear from the included text below.

Sorry, I thought the part of the output below should show it, but of
course the ^M characters I saw is gone here...

Lines somewhere below the middle of the output below had extra ^M at the
end of them.

I can't reproduce the problem now, maybe it was some kind of temporary
problem - perhaps a bad checkin to the CVS at that time?

> In any case, I deed to be able to reproduce it in order to be able to determine
> if something needs to be fixed in ediff. Right now it does not look like
> an ediff problem.
> 
> michael
> 
> 
>> ! 	emacs_event->part = scroll_bar_handle;
>> ! 	y = 0;
>> ! 	break;
>>         case SB_BOTTOM:
>> ! 	emacs_event->part = scroll_bar_handle;
>> ! 	y = top_range;
>> ! 	break;
>>         case SB_THUMBTRACK:
>>         case SB_THUMBPOSITION:
>> ! 	if (VERTICAL_SCROLL_BAR_TOP_RANGE (f, XINT (bar->height)) <= 0xffff)
>>             y = HIWORD (msg->msg.wParam);
>>
>> ! 	bar->dragging = Qt;
>>
>> ! 	emacs_event->part = scroll_bar_handle;
>>
>>
>>
>> ! 	/* "Silently" update current position.  */
>>
>> ! 	{
>>
>> ! 	  SCROLLINFO si;
>>
>>
>>
>>
>> This was with my patched version, but I do not think I have any patches
>> that comes in here:
>>
>> In GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600)
>>  of 2008-08-28 (patched)
>> Windowing system distributor `Microsoft Corp.', version 5.1.2600
>> configured using `configure --with-gcc (3.4) --cflags -Ic:/g/include'
>>
>>
> 




Acknowledgement sent to "Lennart Borgman (gmail)" <lennart.borgman@HIDDEN>:
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#843; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 25 Dec 2015 23:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.